$!-----------------------------------------------------------------------------
$! OSU_STARTUP.COM
$!
$! Example startup for WASD DECnet-based scripting with OSU scripting support.
$! This procedure should be called from the HTTP server startup procedure
$! before actually starting-up the HTTPd.
$!
$! 10-JAN-98  MGD  initial
$!-----------------------------------------------------------------------------
$!
$! -----------------
$! OSU Logical Names
$! -----------------
$ HT_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".SRC.OSU.]"
$ DEFINE /SYSTEM /EXEC /TRANS=CONCEALED WWW_ROOT 'HT_ROOT'
$ DEFINE /SYSTEM /EXEC HTBIN HT_EXE:
$!
$ IF F$SEARCH("SYS$SYSTEM:NCL.EXE") .NES. ""
$ THEN
$!   -----------------------------
$!   DECnet-Plus (Phase-V) Objects
$!   -----------------------------
$    MCR NCL
!
! WASD CGI object
!
CREATE NODE 0 SESSION CONTROL APPLICATION CGIWASD
SET NODE 0 SESSION CONTROL APPLICATION CGIWASD ADDRESSES = {NAME=CGIWASD} -
,CLIENT =  -
,INCOMING ALIAS = TRUE -
,INCOMING PROXY = TRUE -
,OUTGOING ALIAS = FALSE -
,OUTGOING PROXY = TRUE -
,NODE SYNONYM = TRUE -
,IMAGE NAME = HT_EXE:CGIWASD.COM -
,INCOMING OSI TSEL =  
!
! OSU object
!
CREATE NODE 0 SESSION CONTROL APPLICATION WWWEXEC
SET NODE 0 SESSION CONTROL APPLICATION WWWEXEC ADDRESSES = {NAME=WWWEXEC} -
,CLIENT =  -
,INCOMING ALIAS = TRUE -
,INCOMING PROXY = TRUE -
,OUTGOING ALIAS = FALSE -
,OUTGOING PROXY = TRUE -
,NODE SYNONYM = TRUE -
,IMAGE NAME = HT_EXE:WWWEXEC.COM -
,INCOMING OSI TSEL =  
$!
$ ELSE
$!   -----------------------
$!   DECnet Phase-IV Objects
$!   -----------------------
$    MCR NCP
! WASD CGI object (volatile)
SET OBJECT CGIWASD NUMBER 0 FILE HT_EXE:CGIWASD.COM
! OSU object (volatile)
SET OBJECT WWWEXEC NUMBER 0 FILE HT_EXE:WWWEXEC.COM
$!
$ ENDIF
$!-----------------------------------------------------------------------------
