$!-----------------------------------------------------------------------------
$! FREEWARE_DEMO.COM
$!
$! For demonstration/checking of WASD HTTP server and environment.
$!
$! UCX version ........................ @FREEWARE_DEMO
$! NETLIB version ..................... @FREEWARE_DEMO NETLIB
$! Optional SSL support (UCX) ......... @FREEWARE_DEMO SSL
$! Optional SSL support (NETLIB) ...... @FREEWARE_DEMO SSL NETLIB
$!
$! 20-FEB-98  MGD  v1.3.0, add support for optional SSL
$! 23-JUL-97  MGD  v1.2.0, add NETLIB support
$! 01-JUN-97  MGD  v1.1.0, server uses /promiscuous to provide "authentication"
$! 10-JAN-96  MGD  v1.0.0, initial development
$!-----------------------------------------------------------------------------
$ VERIFIED = F$VERIFY(0)
$ ON ERROR THEN GOTO EXITING
$ ON CONTROLY THEN GOTO EXITING
$ SAY = "WRITE SYS$OUTPUT"
$ SAY ""
$ IF P1 .EQS. "NETLIB" .OR. P2 .EQS. "NETLIB"
$    THEN SAY "Use @FREEWARE_DEMO to use the UCX version"
$    ELSE SAY "Use @FREEWARE_DEMO NETLIB to use the NETLIB version"
$ ENDIF
$ SAY "If you have the SSL package then just add ""SSL"" to the parameters!"
$ SAY ""
$ SAY "The server is running in promiscuous mode!"
$ SAY "Any password/username will be accepted if required for authentication."
$ SAY ""
$ SAY "When finished evaluation abort server execution using control-Y"
$ SAY "(a subprocess will be spawned to preserve current privileges and process name)"
$ SAY ""
$ PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ DEVICE = F$PARSE(PROCEDURE,,,"DEVICE","NO_CONCEAL") - ":"
$ DIRECTORY = F$PARSE(PROCEDURE,,,"DIRECTORY","NO_CONCEAL")
$!(sigh, allow for concealed device, what a kludge!)
$ DIRECTORY = DIRECTORY - "[" - "[" - "]" - "]" - ".000000"
$!
$ DEFINE /JOB /TRANSLATION=CONCEALED HT_ROOT 'DEVICE':['DIRECTORY'.]
$ DEFINE /JOB HT_AUTH HT_ROOT:[EXAMPLE]
$!
$ SCRIPT_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".SCRIPT.]"
$ JAVA_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".JAVA.]"
$ IF F$GETSYI("ARCH_NAME") .EQS. "VAX"
$ THEN
$    EXE_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".VAX.]"
$    DEFINE /JOB /TRANSLATION=(CONCEALED) HT_EXE_ROOT 'EXE_ROOT'
$    DEFINE /JOB HT_EXE HT_EXE_ROOT:[000000]
$ ELSE
$    EXE_ROOT = F$TRNLNM("HT_ROOT") - ".]" + ".AXP.]"
$    DEFINE /JOB /TRANSLATION=(CONCEALED) HT_EXE_ROOT 'EXE_ROOT'
$    DEFINE /JOB HT_EXE HT_EXE_ROOT:[000000]
$ ENDIF
$ DEFINE /JOB /TRANSLATION=(CONCEALED) -
         CGI-BIN 'EXE_ROOT','SCRIPT_ROOT','JAVA_ROOT'
$!
$ DEFINE /JOB HTTPD$AUTH HT_ROOT:[EXAMPLE]HTTPD$AUTH.CONF
$ DEFINE /JOB HTTPD$CONFIG HT_ROOT:[EXAMPLE]HTTPD$CONFIG.CONF
$ DEFINE /JOB HTTPD$MAP HT_ROOT:[EXAMPLE]HTTPD$MAP.CONF
$ DEFINE /JOB HTTPD$MSG HT_ROOT:[EXAMPLE]HTTPD$MSG.CONF
$ DEFINE /JOB WASD_ENABLE_SHOW 1
$!(let's base ourselves in London just for want of anywhere better!)
$ DEFINE /JOB HTTPD$GMT "+00:00"
$!
$ HTTPD = "$HT_EXE:HTTPD"
$ IF P1 .EQS. "SSL" .OR. P2 .EQS. "SSL"
$ THEN
$    HTTPD = HTTPD + "_SSL"
$    SERVICE = "http:7080,https:7443"
$    DEFINE /JOB HTTPD$SSL_CERT HT_ROOT:[EXAMPLE]HTTPD.PEM
$    SAY "Use a browser to access the two ""%HTTPD-I-SERVICE""s shown below ..."
$ ELSE
$    SERVICE = "7080"
$    SAY "Use a browser to access the ""%HTTPD-I-SERVICE"" shown below ..."
$ ENDIF
$ SAY ""
$ IF P1 .EQS. "NETLIB" .OR. P2 .EQS. "NETLIB" THEN HTTPD = HTTPD + "_NETLIB"
$!(the ";0" ensures the latest version, not any prior INSTALLed version)
$ HTTPD = HTTPD + ".EXE;0"
$!
$ SPAWN /WAIT HTTPD /NOLOG /NOMONITOR /PROMISCUOUS /SERVICE='SERVICE'
$!
$ EXITING:
$!
$ DEASSIGN /JOB HT_AUTH
$ DEASSIGN /JOB HT_ROOT
$ DEASSIGN /JOB HT_EXE_ROOT
$ DEASSIGN /JOB HT_EXE
$ DEASSIGN /JOB CGI-BIN
$ DEASSIGN /JOB HTTPD$AUTH
$ DEASSIGN /JOB HTTPD$CONFIG
$ DEASSIGN /JOB HTTPD$MAP
$ DEASSIGN /JOB HTTPD$MSG
$ DEASSIGN /JOB WASD_ENABLE_SHOW
$ DEASSIGN /JOB HTTPD$GMT
$ IF P1 .EQS. "SSL" .OR. P2 .EQS. "SSL" THEN DEASSIGN /JOB HTTPD$SSL_CERT
$!
$ SAY ""
$ IF .NOT. VERIFIED THEN SET NOVERIFY
$!-----------------------------------------------------------------------------
