$!-----------------------------------------------------------------------------
$! DECNET_IV_OBJECTS.COM
$!
$! For DECnet based scripting.
$! Using NCP create DECnet Phase-IV network objects.
$! If P1 is supplied as "DEFINE" the objects are created in the permanent
$! database and then in the volatile (this procedure then needs only to be
$! executed once, ever, otherwise must be executed at each system
$! (or HTTP server) startup).
$!
$! 10-JAN-98  MGD  initial
$!-----------------------------------------------------------------------------
$ IF P1 .EQS "DEFINE"
$ THEN
$!(permanent database)
$ MCR NCP
! WASD CGI object
DEFINE OBJECT CGIWASD NUMBER 0 FILE HT_EXE:CGIWASD.COM
! OSU object
DEFINE OBJECT WWWEXEC NUMBER 0 FILE HT_EXE:WWWEXEC.COM
$ ENDIF
$!
$!(volatile database)
$ MCR NCP
! WASD CGI object (volatile)
SET OBJECT CGIWASD NUMBER 0 FILE HT_EXE:CGIWASD.COM
! OSU object (volatile)
SET OBJECT WWWEXEC NUMBER 0 FILE HT_EXE:WWWEXEC.COM
$!-----------------------------------------------------------------------------
