$!-----------------------------------------------------------------------------
$! BUILD_FETCH.COM
$! Builds the FETCH utility for both VAX and AXP systems (separately)
$!
$! 07-MAR-98  MGD  initial development
$!-----------------------------------------------------------------------------
$ IF P1 .EQS. "NETLIB" .OR. P2 .EQS. "NETLIB"
$    THEN VARIETY = "NETLIB"
$    ELSE VARIETY = "UCX"
$ ENDIF
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ WRITE SYS$OUTPUT "Building for ""''F$GETSYI("ARCH_NAME")'"" architecture" + -
                   " and ""''VARIETY'"" TCP/IP."
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/STANDARD=VAXC /DEFINE=IP_''VARIETY' /OBJECT=''OBJECT_DIR'"
$ ELSE
$    CC_OPTIONS = "/STANDARD=VAXC /DEFINE=IP_''VARIETY' /OBJECT=''OBJECT_DIR'"
$ ENDIF
$!
$ IF VARIETY .EQS. "UCX"
$    THEN VARIETY = ""
$    ELSE VARIETY = "_" + VARIETY
$ ENDIF
$!
$ SET VERIFY
$ IF P1 .NES. "LINK" THEN CC 'CC_OPTIONS' FETCH
$ IF P1 .EQS. "NETLIB" .OR. P2 .EQS. "NETLIB"
$ THEN
$    LINK /EXECUTABLE=HT_EXE:FETCH_NETLIB.EXE 'OBJECT_DIR'FETCH, -
          SYS$INPUT/OPTIONS
NETLIB_SHRXFR/SHARE
$    SET PROTECTION=W:RE HT_EXE:FETCH_NETLIB.EXE
$ ELSE
$    LINK /EXECUTABLE=HT_EXE:FETCH.EXE 'OBJECT_DIR'FETCH
$    SET PROTECTION=W:RE HT_EXE:FETCH.EXE
$ ENDIF
$!'F$VERIFY(0)
$!
$ PURGE /NOLOG 'OBJECT_DIR'
$!-----------------------------------------------------------------------------
